<?php

/**
 * Module settings form.
 */
function layouter_config_main_form() {
  // The list of all text formats in the system.
  $filter_formats = filter_formats();
  // The list of all content types in the system.
  $node_types = node_type_get_types();
  
  $text_formats = array();
  foreach ($filter_formats as $format) {
    $text_formats[$format->format] = $format->name;
  }
  $content_types = array();
  foreach ($node_types as $node_type) {
    $content_types[$node_type->type] = $node_type->name;
  }
  
  $form = array();
  
  $form['layouter_text_formats'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Text formats'),
    '#description' => t('Choose input formats for which you want to enable Layouter'),
    '#options' => $text_formats,
    '#default_value' => variable_get('layouter_text_formats', $text_formats)
  );
  $form['layouter_content_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Content types'),
    '#description' => t('Choose content types for which you want to enable Layouter'),
    '#options' => $content_types,
    '#default_value' => variable_get('layouter_content_types', $content_types)
  );
  
  $form = system_settings_form($form);
  
  return $form;
}